
QGIS Application - Bug report #3089

Problem with On-the-fly CRS transformation

2010-10-07 01:48 AM - shenriod -

Status: Closed

Priority: Low

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 13149

Description

Dear all,

I have data in a [[PostGIS]] database (1.4.2) that I access through Qgis 1.5.

All my data is in CRS 32642 (WGS84 - UTM zone 42N)

When I try to display in un-projected WGS84 using the the on-the-fly CRS transformation, I get the following error message:

 1 cursor states lost.

    SQL: declare qgisf14 binary cursor for select "distr_id",asbinary("the_geom",'NDR') from "admin"."admin_center" where

"the_geom" &&

setsrid('BOX3D(1797693134862315708145274237317043567980705675258449965989174768031572607800285387605895586327668781715404589535143824642343213268894641827684675467035375169860499105765512820762454900903893289440758685084551339423045832369032229481658085593321233

58632766878171540458953514382464234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.0000000000000000 1797693134862315708145274237317043567980705675258449965989174768031572607800285387605895586327668781715404589535143824642343

328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.0000000000000000 179769313486231570814527423731704356798070567525844996598917476803157260780028538760589558632766878171540458953514382464234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.0000000000000000

0404026184124858368.0000000000000000

179769313486231570814527423731704356798070567525844996598917476803157260780028538760589558632766878171540458953514382464234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.0000000000000000, inf inf)'::box3d,32642)
    Result: 7 (ERREUR: BOX3D parser - couldnt parse. It should look like: BOX3D(xmin ymin zmin,xmax ymax zmax) or BOX3D(xmin ymin,xmax ymax)
    LINE 1: ...admin"."admin_center" where "the_geom" && setsrid('BOX3D(179...
    ^
    )



1540458953514382464234321326889464182768467546703537516986049910576551282076245490090389328944075868508455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.0000000000000000, inf inf)'::box3d,32642)
    Result: 7 (ERREUR: BOX3D parser - couldnt parse. It should look like: BOX3D(xmin ymin zmin,xmax ymax zmax) or BOX3D(xmin ymin,xmax ymax)
    LINE 1: ...admin"."admin_center" where "the_geom" && setsrid('BOX3D(179...
    ^
    )



08455133942304583236903222948165808559332123348274797826204144723168738177180919299881250404026184124858368.0000000000000000, inf inf)'::box3d,32642)
    Result: 7 (ERREUR: BOX3D parser - couldnt parse. It should look like: BOX3D(xmin ymin zmin,xmax ymax zmax) or BOX3D(xmin ymin,xmax ymax)
    LINE 1: ...admin"."admin_center" where "the_geom" && setsrid('BOX3D(179...
    ^
    )



858368.0000000000000000, inf inf)'::box3d,32642)

    Result: 7 (ERREUR: BOX3D parser - couldnt parse. It should look like: BOX3D(xmin ymin zmin,xmax ymax zmax) or

BOX3D(xmin ymin,xmax ymax)

    LINE 1: ...admin"."admin_center" where "the_geom" && setsrid('BOX3D(179...

    ^

    )

This message is displayed twice in a row for each layer I have in the table of contents but finally everything is displayed correctly in

Lat/Long degrees

This bug seems to appear with 

    -  Qgis 1.5 on Windows 7

but NOT

    -  Qgis 1.4 on Windows 7

    -  Qgis 1.5 on Ubuntu 10.04

Also, if I save my laser as a shapefile and open his shapefile, I don't have the error message when using on-the-fly CRS transformation

Thanks in advance for your help!
Stéphane

History

#1 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-11-18 08:03 AM - Médéric RIBREUX

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

Hello, bug triage...

I confirm this bug is still present in QGIS 2.13 using CRS 32642, but with another error message:

Simplify transform error caught: forward transform of

            (-inf, -inf)

            PROJ.4:  +proj=utm +zone=42 +datum=WGS84 +units=m +no_defs +ellps=WGS84 +towgs84=0,0,0 +to  +proj=lcc +lat_1=49 +lat_2=44

+lat_0=46.5 +lon_0=3 +x_0=700000 +y_0=6600000 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs

            Error: non-convergent inverse meridional dist

#6 - 2015-12-12 02:59 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#7 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#8 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
